%define	major     0
%define libname   %mklibname estr %{major}
%define develname %mklibname estr -d

Name:           libestr
Version:        0.1.11
Release:        %mkrel 4
Summary:        String handling essentials library
Group:          System/Libraries
License:        LGPLv2+
URL:            http://libestr.adiscon.com/
Source0:        http://libestr.adiscon.com/files/download/libestr-%{version}.tar.gz

%description
This package compiles the string handling essentials library
used by the Rsyslog daemon.

%package -n     %{libname}
Summary:        String handling essentials library
Group:		System/Libraries

%description -n %{libname}
This package compiles the string handling essentials library
used by the Rsyslog daemon.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The package contains libraries and header files for
developing applications that use libestr.

%prep
%setup -q

%build
%configure --disable-static --with-pic
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README COPYING AUTHORS ChangeLog
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libestr.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libestr.pc


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.1.11-4.mga9
+ Revision: 1792595
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.1.11-3.mga8
+ Revision: 1526054
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 24 2019 daviddavid <daviddavid> 0.1.11-2.mga7
+ Revision: 1395173
- rebuild for bad signatures (mga#24709)

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.1.11-1.mga7
+ Revision: 1345907
- 0.1.11

* Sun Sep 23 2018 umeabot <umeabot> 0.1.10-2.mga7
+ Revision: 1298827
- Mageia 7 Mass Rebuild

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.1.10-1.mga6
+ Revision: 918950
- 0.1.10

* Wed Oct 15 2014 umeabot <umeabot> 0.1.9-6.mga5
+ Revision: 743740
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 eatdirt <eatdirt> 0.1.9-5.mga5
+ Revision: 737241
- Fix double lib prefix in Requires

* Tue Oct 07 2014 eatdirt <eatdirt> 0.1.9-4.mga5
+ Revision: 737233
- Adding missing provides to devel

* Tue Sep 16 2014 umeabot <umeabot> 0.1.9-3.mga5
+ Revision: 681442
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 pterjan <pterjan> 0.1.9-2.mga5
+ Revision: 641991
- Fix devel name
- imported package libestr


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 07 2014 Tomas Heinrich <theinric@redhat.com> - 0.1.9-1
- rebase to 0.1.9
- remove patch 0; doesn't seem to be necessary anymore

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 02 2013 Tomas Heinrich <theinric@redhat.com> - 0.1.5-1
- rebase to 0.1.5

* Wed Dec 12 2012 Mahaveer Darade <mdarade@redhat.com> - 0.1.4-1
- upgrade to upstream version 0.1.4
- correct an impossible timestamp in an older changelog entry

* Thu Sep 20 2012 mdarade <mdarade@redhat.com> - 0.1.3-3
- Fixed broken configure script

* Mon Aug 27 2012 mdarade <mdarade@redhat.com> - 0.1.3-2
- Removed unnecessary macros in spec file.

* Tue Aug 7 2012 Mahaveer Darade <mdarade@redhat.com> - 0.1.3-1
- Initial port libestr-0.1.3
